<%@ Page Language="C#" MasterPageFile="~/MasterPages/FormDetail.master" AutoEventWireup="true" ValidateRequest="false" CodeFile="CWAC5020.aspx.cs" 
    Inherits="Page_CWAC5020" Title="Approve Commissions" %>

<%@ MasterType VirtualPath="~/MasterPages/FormDetail.master" %>
<asp:Content ID="cont1" ContentPlaceHolderID="phDS" runat="Server">
    <px:PXDataSource ID="ds" runat="server" Visible="True" Width="100%" PrimaryView="Filter"
                     TypeName="AdvancedCommission.CW.Graphs.CWACApproveCommissionsProcess">
    </px:PXDataSource>
</asp:Content>
<asp:Content ID="cont2" ContentPlaceHolderID="phF" runat="Server">
    <px:PXFormView ID="form" runat="server" DataSourceID="ds" Style="z-index: 100" Width="100%" DataMember="Filter" Caption="Selection" TabIndex="100">
        <Template>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXGroupBox ID="groupCommissionDate" runat="server" Caption="Commission Date" >
                <Template>
                    <px:PXDateTimeEdit ID="edCommissionDateFrom" runat="server" AlreadyLocalized="False" DataField="CommissionDateFrom" CommitChanges="True" />
                    <px:PXDateTimeEdit ID="edCommissionDateTo" runat="server" AlreadyLocalized="False" DataField="CommissionDateTo" CommitChanges="True" />
                </Template>
                <ContentLayout Layout="Stack" />
            </px:PXGroupBox>
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXSelector ID="PXPlanId" runat="server" DataField="CommissionPlanId" CommitChanges="True" />
            <px:PXSelector ID="PXSalespersonId" runat="server" DataField="SalespersonId" CommitChanges="True" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXDropDown ID="edFrequency" runat="server" DataField="Frequency" AllowNull="True" CommitChanges="True" />
            <px:PXLayoutRule runat="server" StartColumn="True" LabelsWidth="S" ControlSize="S" />
            <px:PXDropDown ID="edPayoutType" runat="server" DataField="PayoutType" AllowNull="True" CommitChanges="True" />
        </Template>
    </px:PXFormView>
</asp:Content>
<asp:Content ID="cont3" ContentPlaceHolderID="phG" runat="Server">
    <px:PXGrid ID="grid" runat="server" DataSourceID="ds" Height="153px" Style="z-index: 100" Caption="Commissions" AllowSearch="True" Width="100%" 
               AdjustPageSize="Auto" SkinID="Inquire" AllowPaging="True" TabIndex="1300" RestrictFields="True" SyncPosition="true" AllowFilter="true">
        <ActionBar DefaultAction="ViewDocument" />
        <Levels>
            <px:PXGridLevel DataMember="Commissions">
                <RowTemplate>
                    <px:PXCheckBox ID="chkSelected" runat="server" DataField="Selected" AlreadyLocalized="False" ></px:PXCheckBox>
                </RowTemplate>
                <Columns>
                    <px:PXGridColumn AllowCheckAll="True" DataField="Selected" Label="Selected" TextAlign="Center" Type="CheckBox" Width="30px" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="CommissionCD" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="CommissionType" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="SalesPersonID" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="SalesPersonID_Description" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="CommissionPlanId" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="FullCommissionAmount" Width="120px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Threshold" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="InvoiceReferenceNumber" Width="130px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="CommissionSplit" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="AmountToPay" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Status" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="PayoutType" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Type" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Frequency" Width="95px" TextAlign="Left" ></px:PXGridColumn>
	<px:PXGridColumn DataField="Vendor__AcctCD" Width="140" />
	<px:PXGridColumn DataField="Vendor__AcctName" Width="280" />
                    <px:PXGridColumn DataField="ReasonCode" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Description" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="CommissionDate" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="BaseQty" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="BranchId" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="ARRegister__ClosedFinPeriodId" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="DocBal" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="OrigDocAmt" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="PaymentTotal" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="LastPaymentDate" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Cost" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="CustomerId" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="DiscAmt" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="DocClass" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="DocDate" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="DocDesc" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="DocType" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="DueDate" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="ExtPrice" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="FinPeriodId" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="InventoryId" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Margin" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="MarginPercent" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="ProjectId" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Qty" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="Released" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="SoOrderNbr" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="InvoiceStatus" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TaskId" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="ActualCost" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TaxAmt" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TranAmt" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TranClass" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TranCost" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TranDate" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TranDesc" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="TranPeriodId" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="InvoiceDocumentType" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="UnitCost" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="UnitPrice" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="UoM" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="LineOrderType" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="LineOrderNbr" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="LineNbr" Width="95px" TextAlign="Left" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="LineInventoryId" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="LineCustomerId" Width="95px" TextAlign="Left" LinkCommand="ViewEntity" ></px:PXGridColumn>
                    <px:PXGridColumn DataField="LineOrderDate" Width="95px" TextAlign="Left" ></px:PXGridColumn></Columns>
            </px:PXGridLevel>
        </Levels>
        <AutoSize Container="Window" Enabled="True" MinHeight="150" />
    </px:PXGrid>
</asp:Content>